import { Routes as BaseRoutes, Navigate, Route } from "react-router-dom";
import React, { lazy, Suspense } from "react";
import LoadingComponent from "./components/Loading";
import BacklogUploadPage from "./pages/BacklogUploadPage/index.tsx";

import EmailPage from "./pages/EmailPage/index.tsx";
const NotFoundPage = lazy(() => import("./pages/NotFoundPage"));


// Combined Router Component
export default function AppRouter() {
	return (
		<Suspense fallback={<LoadingComponent />}>
			<BaseRoutes>
				{/* Default Route */}
				<Route path="" element={<BacklogUploadPage />} />
				<Route path="/email" element={<EmailPage />} />

				{/* Catch-all Route */}
				<Route path="*" element={<NotFoundPage />} />
			</BaseRoutes>
		</Suspense>
	);
}
